## WebKitDOMCSSRule

WebKitDOMCSSRule

## Functions

gchar * | webkit_dom_css_rule_get_css_text ()
void | webkit_dom_css_rule_set_css_text ()
WebKitDOMCSSStyleSheet * | webkit_dom_css_rule_get_parent_style_sheet ()
WebKitDOMCSSRule * | webkit_dom_css_rule_get_parent_rule ()

## Properties

gchar * | css-text | Read / Write
WebKitDOMCSSRule * | parent-rule | Read
WebKitDOMCSSStyleSheet * | parent-style-sheet | Read
guint | type | Read

## Types and Values

| WebKitDOMCSSRule

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMCSSRule

## Description

## Functions

### webkit_dom_css_rule_get_css_text ()

    gchar *
    webkit_dom_css_rule_get_css_text (WebKitDOMCSSRule *self);

#### Parameters

self | A WebKitDOMCSSRule |

#### Returns

A gchar

### webkit_dom_css_rule_set_css_text ()

    void
    webkit_dom_css_rule_set_css_text (WebKitDOMCSSRule *self,
                                      const gchar *value,
                                      GError **error);

#### Parameters

self | A WebKitDOMCSSRule |
value | A gchar |
error | GError |

### webkit_dom_css_rule_get_parent_style_sheet ()

    WebKitDOMCSSStyleSheet *
    webkit_dom_css_rule_get_parent_style_sheet
                                   (WebKitDOMCSSRule *self);

#### Parameters

self | A WebKitDOMCSSRule |

#### Returns

A WebKitDOMCSSStyleSheet.

[transfer full]

### webkit_dom_css_rule_get_parent_rule ()

    WebKitDOMCSSRule *
    webkit_dom_css_rule_get_parent_rule (WebKitDOMCSSRule *self);

#### Parameters

self | A WebKitDOMCSSRule |

#### Returns

A WebKitDOMCSSRule.

[transfer full]

## Types and Values

### WebKitDOMCSSRule

    typedef struct _WebKitDOMCSSRule WebKitDOMCSSRule;

## Property Details

### The `“css-text”` property

      “css-text”                 gchar *

read-write gchar* CSSRule:css-text.

Flags: Read / Write

Default value: ""

### The `“parent-rule”` property

      “parent-rule”              WebKitDOMCSSRule *

read-only WebKitDOMCSSRule* CSSRule:parent-rule.

Flags: Read

### The `“parent-style-sheet”` property

      “parent-style-sheet”       WebKitDOMCSSStyleSheet *

read-only WebKitDOMCSSStyleSheet* CSSRule:parent-style-sheet.

Flags: Read

### The `“type”` property

      “type”                     guint

read-only gushort CSSRule:type.

Flags: Read

Default value: 0